Bug 239163 - lang/python27: Consolidate 64-bit ARCH definitions
Summary: lang/python27: Consolidate 64-bit ARCH definitions
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-12 16:04 UTC by Mark Linimon
Modified: 2019-12-10 09:03 UTC (History)
2 users (show)

See Also:
sunpoet: maintainer-feedback+
koobs: merge-quarterly?


Attachments
patch to lang/python27/Makefile (918 bytes, patch)
2019-07-12 16:04 UTC, Mark Linimon
no flags Details | Diff
patch to lang/python27/Makefile (447 bytes, patch)
2019-07-12 16:24 UTC, Mark Linimon
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Linimon freebsd_committer freebsd_triage 2019-07-12 16:04:59 UTC
Created attachment 205719 [details]
patch to lang/python27/Makefile

In various places in the ports tree, tests against ARCH are iterated one-by-one when a pattern test would be more robust.

This consolidates the tests for 64-bit functionality.
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-07-12 16:21:00 UTC
(In reply to Mark Linimon from comment #0)

It seems to be a wrong patch file (graphics/libGL/Makefile.common).
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2019-07-12 16:24:14 UTC
Created attachment 205724 [details]
patch to lang/python27/Makefile

Fix mis-click.
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-07-13 09:50:20 UTC
LGTM. Thanks!
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2019-07-16 12:51:02 UTC
Comment on attachment 205724 [details]
patch to lang/python27/Makefile

Approved by: sunpoet (python, maintainer)
MFH: 2019Q3
Comment 5 commit-hook freebsd_committer 2019-10-04 22:46:46 UTC
A commit references this bug:

Author: linimon
Date: Fri Oct  4 22:46:21 UTC 2019
New revision: 513795
URL: https://svnweb.freebsd.org/changeset/ports/513795

Log:
  In various places in the ports tree, tests against ARCH are iterated
  one-by-one when a pattern test would be more robust.

  This consolidates the tests for 64-bit functionality.

  PR:		239163
  Approved by:	sunpoet (python, maintainer)

Changes:
  head/lang/python27/Makefile
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2019-10-05 10:50:38 UTC
Re-open for MFH
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2019-12-10 09:03:38 UTC
Since we are only a few weeks away from 2020Q1, I consider this to be OBE.